Summary:	Bitcoin is a peer-to-peer currency
Name:		bitcoin
Version:	0.11.0
Release:	3
License:	MIT/X11
Group:		X11/Applications
Source0:	https://github.com/bitcoin/bitcoin/archive/v%{version}.tar.gz
# Source0-md5:	7463ff45ad2ece6fad1b673bb2c2afbb
URL:		http://www.bitcoin.org
BuildRequires:	QtCore-devel
BuildRequires:	QtDBus-devel
BuildRequires:	QtGui-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	boost-devel
BuildRequires:	db-cxx-devel
BuildRequires:	libtool
BuildRequires:	miniupnpc-devel >= 1.5
BuildRequires:	openssl-devel
BuildRequires:	protobuf-devel
BuildRequires:	qrencode-devel
Requires:	perl-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bitcoin is a peer-to-peer currency. Peer-to-peer means that no central
authority issues new money or tracks transactions. These tasks are
managed collectively by the network.

%package qt
Summary:	Qt-based Bitcoin Wallet
Group:		X11/Applications

%description qt
Qt-based Bitcoin Wallet.

%prep
%setup -q

%build
./autogen.sh

%configure \
	--disable-silent-rules \
	--with-miniupnpc \
	--with-qrencode \
	--with-incompatible-bdb \
	--with-boost \
	--with-gui=qt4 \
	--with-qtdbus

%{__make}


%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_mandir}/man{1,5},%{_localedir},%{_desktopdir},%{_pixmapsdir},%{_datadir}/kde4/services}

%{__make} install \
		DESTDIR=$RPM_BUILD_ROOT

install contrib/debian/bitcoin-qt.desktop $RPM_BUILD_ROOT%{_desktopdir}
install contrib/debian/bitcoin-qt.protocol $RPM_BUILD_ROOT%{_datadir}/kde4/services
install share/pixmaps/bitcoin{32,64,128,256}.png $RPM_BUILD_ROOT%{_pixmapsdir}

install contrib/debian/manpages/bitcoind.1 $RPM_BUILD_ROOT%{_mandir}/man1
install contrib/debian/manpages/bitcoin.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/*.txt contrib/debian/examples/bitcoin.conf
%attr(755,root,root) %{_bindir}/bitcoin-cli
%attr(755,root,root) %{_bindir}/bitcoin-tx
%attr(755,root,root) %{_bindir}/bitcoind
%attr(755,root,root) %ghost %{_libdir}/libbitcoinconsensus.so.0
%attr(755,root,root) %{_libdir}/libbitcoinconsensus.so.*.*
%{_mandir}/man1/bitcoind.1*
%{_mandir}/man5/bitcoin.conf.5*

%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bitcoin-qt
%{_datadir}/kde4/services/bitcoin-qt.protocol
%{_desktopdir}/bitcoin-qt.desktop
%{_pixmapsdir}/bitcoin*.png
%changelog
* Mon May 16 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/bitcoin.git;a=log;h=master

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> d7bda68
- boost rebuild
- release 3 (by relup.sh)

* Sat Nov 14 2015 Jan Rękorajski <baggins@pld-linux.org> 8cf432c
- release 2 (by relup.sh)

* Mon Sep 21 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 081335f
- up to 0.11.0

* Fri Jun 19 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 63c5388
- up to 0.10.2

* Mon Feb 16 2015 Jan Rękorajski <baggins@pld-linux.org> bf548a6
- rebuild with boost 1.57.0
- release 2 (by relup.sh)

* Tue Nov 04 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 55ce531
- up to 0.9.3

* Mon Oct 27 2014 Jan Rękorajski <baggins@pld-linux.org> dd08c42
- release 3 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 297251a
- rebuild with boost 1.56.0
- release 2 (by relup.sh)

* Wed Apr 16 2014 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 88599e3
- up to 0.9.1

* Wed Mar 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9aa3843
- up to 0.9.0

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> b08c6d2
- - rebuild with boost 1.55.0
- release 3 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 5a67f1c
- - rebuild with boost 1.55.0
- release 2 (by relup.sh)

* Tue Dec 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5cc522e
- up to 0.8.6

* Sat Sep 14 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b54dc70
- up to 0.8.5

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> fde3f41
- release 3 (by relup.sh)

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> e603b76
- release 2 (by relup.sh)

* Wed Jun 26 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> bf874d6
- up to 0.8.3

* Thu May 30 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7133116
- up to 0.8.2

* Tue Apr 30 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 55ac948
- rel 2; install bitcoind, too; put qt wallet into separate subpackage

* Fri Apr 19 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> cda9ff8
- up to 0.8.1

